Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.spatial.network
Class SDODimArray

`java.lang.Object
oracle.spatial.network.SDODimArray`

public class SDODimArray
extends java.lang.Object

This class defines a Java representation for Oracle Spatial SDO_DIM_ARRAY object. An SDO_DIM_ARRAY is an array of SDO_DIM_ELEMENT which has the following attributes: SDO_DIMNAME, SDO_LB,SDO_UB, and SDO_TOLERANCE.

Constructor Summary
`SDODimArray(int noOfDims, double lowerBound, double upperBound, double tolerance)` Constructs an SDODimArray object with the default dimension names ("X","Y","Z","M") and the given lower bounds, upper bounds ,and tolerances.
`SDODimArray(java.lang.String[] names, double[] lowerBounds, double[] upperBounds, double[] tolerances)` Constructs an SDODimArray object.

Method Summary
`java.lang.String` | `getDimName(int index)` Returns the specified dimension name.
`double` | `getLowerBound(int index)` Returns the specified lower bound.
`int` | `getNoOfDims()` Returns the number of dimensions.
`double` | `getUpperBound(int index)` Returns the specified upper bound.
`java.lang.String` | `toSQLString()` Returns a SQL string for constructing a database SDO_DIM_ARRAY object
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SDODimArray

    public SDODimArray(java.lang.String[] names,
                       double[] lowerBounds,
                       double[] upperBounds,
                       double[] tolerances)

  Constructs an SDODimArray object.
Parameters:
  `names` - the dimension names
  `lowerBounds` - the lower bounds for each dimension
  `upperBounds` - the upper bounds for each dimension
  `tolerances` - the tolerances for each dimension

### SDODimArray

    public SDODimArray(int noOfDims,
                       double lowerBound,
                       double upperBound,
                       double tolerance)

  Constructs an SDODimArray object with the default dimension names ("X","Y","Z","M") and the given lower bounds, upper bounds ,and tolerances.
Parameters:
  `noOfDims` - the number of dimensions
  `lowerBound` - the lower bound for each dimension
  `upperBound` - the upper bound for each dimension
  `tolerance` - the tolerance for each dimension

Method Detail

### getNoOfDims

    public int getNoOfDims()

  Returns the number of dimensions.

### getDimName

    public java.lang.String getDimName(int index)

  Returns the specified dimension name.

### getUpperBound

    public double getUpperBound(int index)

  Returns the specified upper bound.

### getLowerBound

    public double getLowerBound(int index)

  Returns the specified lower bound.

### toString

    public java.lang.String toString()

### toSQLString

    public java.lang.String toSQLString()

  Returns a SQL string for constructing a database SDO_DIM_ARRAY object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All Rights Reserved.